Start enterprise onboarding
POST
/api/v1/enterprise/onboarding/start
const url = 'https://api.ultimateteam.ai/api/v1/enterprise/onboarding/start';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"department_tools":{"additionalProperty":[{"additionalProperty":"example"}]},"deployment_preferences":{},"jurisdictions":["example"],"org_description":{},"permission_preferences":{},"regulations":["example"],"style_preferences":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/enterprise/onboarding/start \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "department_tools": { "additionalProperty": [ { "additionalProperty": "example" } ] }, "deployment_preferences": {}, "jurisdictions": [ "example" ], "org_description": {}, "permission_preferences": {}, "regulations": [ "example" ], "style_preferences": {} }'Run the full 6-step enterprise onboarding and return the tenant configuration.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
StartOnboardingRequest
Request body for starting enterprise onboarding.
Attributes: org_description: Organization hierarchy description. department_tools: Tools per department. permission_preferences: Permission profiles and limits. jurisdictions: Geographic jurisdictions. regulations: Applicable regulations. style_preferences: Brand voice and communication style. deployment_preferences: Rollout plan preferences.
object
department_tools
Department Tools
Tools per department
object
key
additional properties
Array<object>
object
key
additional properties
string
deployment_preferences
Deployment Preferences
object
key
additional properties
any
jurisdictions
Jurisdictions
Array<string>
org_description
required
Org Description
Organization hierarchy description
object
key
additional properties
any
permission_preferences
Permission Preferences
Permission profiles and spending limits
object
key
additional properties
any
regulations
Regulations
Array<string>
style_preferences
Style Preferences
object
key
additional properties
any
Examplegenerated
{ "department_tools": { "additionalProperty": [ { "additionalProperty": "example" } ] }, "deployment_preferences": {}, "jurisdictions": [ "example" ], "org_description": {}, "permission_preferences": {}, "regulations": [ "example" ], "style_preferences": {}}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Start Enterprise Onboarding Api V1 Enterprise Onboarding Start Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}